<?xml version="1.0" encoding="UTF-8"?>
<component>
  <type>Algorithm</type>
  <title>Algorithm_AgentFollowingDriverModel</title>
  <library>AlgorithmAgentFollowingDriverModel</library>  
  <schedule>
    <offset>0</offset>
    <cycle>1</cycle>
    <response>0</response>
  </schedule>
  <parameters>
    <parameter>
      <id>VelocityWish</id>
      <type>double</type>
      <title>VelocityWish</title>
      <unit>m/s</unit>
      <value>15.0</value>
    </parameter>
    <parameter>
      <id>Delta</id>
      <type>double</type>
      <title>Delta</title>
      <unit></unit>
      <value>4.0</value>
    </parameter>
    <parameter>
      <id>TGapWish</id>
      <type>double</type>
      <title>TGapWish</title>
      <unit>s</unit>
      <value>1.5</value>
    </parameter>
    <parameter>
      <id>MinDistance</id>
      <type>double</type>
      <title>MinDistance</title>
      <unit>m</unit>
      <value>2</value>
    </parameter>
    <parameter>
      <id>MaxAcceleration</id>
      <type>double</type>
      <title>MaxAcceleration</title>
      <unit>m/s^2</unit>
      <value>2</value>
    </parameter>
    <parameter>
      <id>MaxDeceleration</id>
      <type>double</type>
      <title>MaxDeceleration</title>
      <unit>m/s^2</unit>
      <value>2</value>
    </parameter>
  </parameters>
  <inputs>
    <input>
      <id>0</id>
      <type>SensorDriverSignal</type>
      <title>Driver Signal</title>
      <unit></unit>
      <cardinality>1</cardinality>
    </input>
  </inputs>
  <outputs>
    <output>
      <id>0</id>
      <type>LateralSignal</type>
      <title>Lateral Signal</title>
      <unit></unit>
    </output>
    <output>
      <id>1</id>
      <type>SecondaryDriverTasksSignal</type>
      <title>Secondary Driver Tasks</title>
      <unit></unit>
    </output>
    <output>
      <id>2</id>
      <type>AccelerationSignal</type>
      <title>Acceleration Signal</title>
      <unit></unit>
    </output>
  </outputs>
</component>
